Public Class FrmShapes

  
    Private Sub btnDrawShape_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDrawShape.Click
        Dim i As Integer
        Dim j As Integer

        If cboShape.Text = "Select a shape" Then
            MsgBox("Please select a shape.")
            cboShape.Focus()
            Exit Sub
        End If

        If cboColor.Text = "Select a color" Then
            MsgBox("Please select a color.")
            cboColor.Focus()
            Exit Sub
        End If

        lblShape.ForeColor = Color.FromName(cboColor.Text)

        Select Case cboShape.Text
            Case "Square"
                For i = 1 To nupSize.Value
                    For j = 1 To nupSize.Value
                        lblShape.Text &= "*"
                    Next
                    lblShape.Text &= vbCrLf
                Next
            Case "Triangle"
                For i = 1 To nupSize.Value
                    For j = 1 To i
                        lblShape.Text &= "*"
                    Next
                    lblShape.Text &= vbCrLf
                Next
            Case "Triangle 2"
                For i = 1 To nupSize.Value
                    For j = 1 To nupSize.Value - i
                        lblShape.Text &= " "
                    Next
                    For j = 1 To i
                        lblShape.Text &= "*"
                    Next
                    lblShape.Text &= vbCrLf
                Next
            Case "Triangle 3"
                For i = 1 To nupSize.Value
                    For j = 1 To nupSize.Value + 1 - i
                        lblShape.Text &= "*"
                    Next
                    lblShape.Text &= vbCrLf
                Next
            Case "Triangle 4"
                For i = 1 To nupSize.Value
                    For j = 1 To i - 1
                        lblShape.Text &= " "
                    Next
                    For j = 1 To nupSize.Value + 1 - i
                        lblShape.Text &= "*"
                    Next
                    lblShape.Text &= vbCrLf
                Next
        End Select

    End Sub

    Private Sub cboShape_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboShape.SelectedIndexChanged
        lblShape.Text = ""
    End Sub

    Private Sub nupSize_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nupSize.ValueChanged
        lblShape.Text = ""
    End Sub

    Private Sub cboColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboColor.SelectedIndexChanged
        lblShape.ForeColor = Color.FromName(cboColor.Text)
    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        cboColor.Text = "Select a color"
        cboShape.Text = "Select a shape"
        nupSize.Value = 1
        lblShape.Text = ""
    End Sub
End Class
